Go Job Hunting at the LQ Job Marketplace
Go Back > Forums > Linux Forums > Linux - Newbie
User Name
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!


  Search this Thread
Old 02-07-2005, 04:51 AM   #1
Registered: Feb 2005
Location: Bangalore
Distribution: FC3
Posts: 137

Rep: Reputation: 15
Question how to install new versions of glib?

i have installed glib 1.2.9 before a month. Recently i have installed glib 1.2.10 after uninstalling the previous version using the command

rpm --erase --nodeps glib.

but when executing the command
glib-config --version it gives 1.2.9. i dont know how to install it . can anyone pl help me?
Old 02-07-2005, 08:25 AM   #2
LQ Guru
Registered: Jan 2001
Posts: 24,147

Rep: Reputation: 229Reputation: 229Reputation: 229
If you get the new packages.. do an upgrade:

rpm -Uvh glib-<version>.rpm

You should never have to waste your time removing packages to simply upgrade them when dealing with rpm's.
Old 02-08-2005, 12:53 AM   #3
Registered: Feb 2005
Location: Bangalore
Distribution: FC3
Posts: 137

Original Poster
Rep: Reputation: 15

thanks tricky,
it works. but how to do the same when it is tar file.
how to update the xmms1.2.7 to 1.2.10 rpm? can i use the same as u told. but its not working..
can u help me


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
conflicting glib versions and glib-config scius Linux - Software 5 06-03-2008 03:35 AM
Two versions of glib installed rundjuling Linux - Software 5 06-03-2008 03:30 AM
pygtk install found 2 versions of glib and complains Kanaflloric Linux - Software 1 09-28-2004 05:46 AM
2 different versions of glib and pkgconfig! karl0s Linux - Software 4 09-01-2004 07:05 AM
Two versions of Glib? OnlyMe Linux - Software 1 04-21-2004 07:13 AM

All times are GMT -5. The time now is 04:44 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration